QGIS Application - Bug report #15454
Relation reference widget: chained filter comboboxes are not sorted
2016-08-18 01:33 AM - Andreas Neumann

Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category: Forms

Affected QGIS version:2.16.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23380
Description

If one uses a relation reference widget with a chained filter, the individual comboboxes are not properly sorted.

See screenshots attached.

Associated revisions

Revision 74cb4{6b - 2016-08-19 10:00 AM - Matthias Kuhn

Sort values in chained filter comboboxes (relation reference)

Fix #15454

Revision 9¢4761c9 - 2016-08-19 10:11 AM - Matthias Kuhn

Sort values in chained filter comboboxes (relation reference)

Fix #15454

History

#1 - 2016-08-18 01:37 AM - Andreas Neumann

Perhaps it is related to #15451 ?

#2 - 2016-08-19 01:02 AM - Anonymous
- Status changed from Open to Closed

Fixed in changeset commit:"74cb4f6b23bff57231161f3ddf5da017ec81f530".
